ressource.socialbetadocumentation
API referencePins

Mark a queued source read

It leaves the queue; the pin is kept (unlike DELETE). 404 when the source is not in the caller's queue.

POST
/api/v1/pins/{sourceId}/read

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

It leaves the queue; the pin is kept (unlike DELETE). 404 when the source is not in the caller's queue.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Path Parameters

sourceId*string
Length1 <= length <= 64

Response Body

The pin

application/json
  1. response
bookmark_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
pinned_at*string
read_at*string|null
curl -X POST 'https://www.ressource.social/api/v1/pins/string/read'
{  "bookmark_id": "49a78d35-bc45-4a39-a336-d00349864577",  "pinned_at": "string",  "read_at": "string"}